Elmatajer · API docs
Orders

Add an order note

Adds a note to the order's timeline in the merchant dashboard (the customer doesn't see it).

POSThttps://elmatajer.com/api/v1/vendor/orders/{id}/notes
Permission: orders.write

Path parameters

NameTypeRequiredDescription
idintegerYesThe order id.

Request body

NameTypeRequiredDescription
notestringYesUp to 1,000 characters.

Request

curl -X POST "https://elmatajer.com/api/v1/vendor/orders/4904/notes" \
  -H "Api-Key: YOUR_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"note":"Picked up by the courier — AWB 778201"}'

Response 200

{
    "status": "ok",
    "data": {
        "id": 322,
        "order_id": 4904,
        "note": "Picked up by the courier — AWB 778201"
    }
}